Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Interface ServerInfo

All Known Implementing Classes:
  ServerInfoImp

    public interface ServerInfo

Contains the last known status and configuration information for a specific replica in the realm.

Field Summary
`static byte` | `ALIAS_ONLY_OPTION` Value of the ALIASES_ONLY keyword, as specified in the sdopts.rec file.
`static byte` | `IGNORE_ALIASES_OPTION` Value of the IGNORE_ALIASES keyword, as specified in the sdopts.rec file.

Method Summary
`java.net.InetAddress` | `getActiveAddr()` Returns the active IP address of the replica.
`java.net.InetAddress` | `getAddr()` Returns the official IP address of the replica.
`java.net.InetAddress[]` | `getAliases()` Returns the aliases assigned to the replica.
`int` | `getAliasOptions()` Returns the value of the ALIAS_ONLY_OPTION or the IGNORE_ALIASES_OPTION.
`java.lang.String` | `getHostName()` Returns the hostname of the replica.
`int` | `getProcessedRequest()` Returns the number of processed authentication requests.
`boolean` | `isAddressVerified()` Returns true when the agent has contacted the replica, and the IP address of the replica is valid.
`boolean` | `isEmergency()` Returns true when the replica has a priority value of 1 and is used in emergency mode only, which means no other replicas of higher priority are available for use.
`boolean` | `isPrimary()` Returns true when the Authentication Manager is a Primary instance.
`boolean` | `isSelectable()` Returns true when the replica has a priority value of 2-10.
`boolean` | `isSuspended()` Returns true when the agent cannot contact the replica.

Field Detail

### IGNORE_ALIASES_OPTION

    static final byte IGNORE_ALIASES_OPTION

  Value of the IGNORE_ALIASES keyword, as specified in the sdopts.rec file.

  See Also:
    Constant Field Values

### ALIAS_ONLY_OPTION

    static final byte ALIAS_ONLY_OPTION

  Value of the ALIASES_ONLY keyword, as specified in the sdopts.rec file.

  See Also:
    Constant Field Values

Method Detail

### getAddr

    java.net.InetAddress getAddr()

  Returns the official IP address of the replica.

  Returns:
    the official IP address of the replica

### getActiveAddr

    java.net.InetAddress getActiveAddr()

  Returns the active IP address of the replica.

  Call only after the agent sends an authentication or time request to the replica.

  Returns:
    the active IP address of the Replica

### getAliases

    java.net.InetAddress[] getAliases()

  Returns the aliases assigned to the replica.

  Returns:
    the aliases assigned to the replica

### getAliasOptions

    int getAliasOptions()

  Returns the value of the ALIAS_ONLY_OPTION or the IGNORE_ALIASES_OPTION.

  Returns:
    value of ALIAS_ONLY_OPTION or IGNORE_ALIASES_OPTION

### getProcessedRequest

    int getProcessedRequest()

  Returns the number of processed authentication requests.

  Returns:
    number of processed authentication requests

### isSuspended

    boolean isSuspended()

  Returns true when the agent cannot contact the replica.

  Returns:
    true when the agent cannot cannot the replica

### isEmergency

    boolean isEmergency()

  Returns true when the replica has a priority value of 1 and is used in emergency mode only, which means no other replicas of higher priority are available for use.

  Returns:
    true when the replica has a priority value of 1

### isSelectable

    boolean isSelectable()

  Returns true when the replica has a priority value of 2-10.

  Returns:
    true when the replica has a priority value of 2-10

### isPrimary

    boolean isPrimary()

  Returns true when the Authentication Manager is a Primary instance.

  Returns:
    true when the Authentication Manager is a Primary instance.

### isAddressVerified

    boolean isAddressVerified()

  Returns true when the agent has contacted the replica, and the IP address of the replica is valid.

  Returns:
    true when the agent has contacted the replica, and the IP address of the replica is valid.

### getHostName

    java.lang.String getHostName()

  Returns the hostname of the replica.

  Returns:
    the hostname of the replica

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.